Bug 1128659 - Missing username in heat domain configuration step [NEEDINFO]
Summary: Missing username in heat domain configuration step
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Installation_and_Configuration_Guide
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 5.0 (RHEL 7)
Assignee: Don Domingo
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 10:17 UTC by Steven Hardy
Modified: 2015-03-10 03:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-10 03:36:32 UTC
ddomingo: needinfo? (shardy)


Attachments (Terms of Use)

Description Steven Hardy 2014-08-11 10:17:27 UTC
Description of problem:
There is a missing username in the installation guide, section ⁠9.3.3.1 step 4.

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/5/html/Installation_and_Configuration_Guide/sect-Configure_the_Orchestration_Service.html

4. Create a user that can have administrative rights within the heat domain:
# openstack --os-token ADMIN_TOKEN --os-url=IDENTITY_IP:5000/v3 \
   --os-identity-api-version=3 user create --password DOMAIN_PASSWORD \
   --domain HEAT_DOMAIN_ID
   --description "Manages users and projects created by heat"

Should be:

4. Create a user that can have administrative rights within the heat domain:
# openstack --os-token ADMIN_TOKEN --os-url=IDENTITY_IP:5000/v3 \
   --os-identity-api-version=3 user create heat_domain_admin \
   --password DOMAIN_PASSWORD --domain HEAT_DOMAIN_ID \
   --description "Manages users and projects created by heat"

Note the additional "heat_domain_admin" username, which is missing currently and will cause the CLI call to fail.

Comment 2 Steven Hardy 2014-08-11 10:30:01 UTC
Also in step 5 "role-add" should be "role add"

Comment 3 Don Domingo 2014-08-17 23:56:27 UTC
Done in source. 

Steven, does that mean that the command in the next step, namely:

# openstack --os-token ADMIN_TOKEN --os-url=IDENTITY_IP:5000/v3 \
   --os-identity-api-version=3 role-add --user DOMAIN_ADMIN_ID \
   --domain HEAT_DOMAIN_ID admin


...should be changed to:

# openstack --os-token ADMIN_TOKEN --os-url=IDENTITY_IP:5000/v3 \
   --os-identity-api-version=3 role-add --user heat_domain_admin \
   --domain HEAT_DOMAIN_ID admin

?? It *looks* like it'll work either way, but it'll be easier for the reader to use heat_domain_admin than a long ID string.

Comment 4 Don Domingo 2015-01-19 00:20:23 UTC
Work done, setting as MODIFIED. 

(In reply to Don Domingo from comment #3)
> Done in source. 
>


Note You need to log in before you can comment on or make changes to this bug.